Skip to content

Identities and samples

Manage enrolled identities, access grants, enrollment jobs, and face samples.

Operation Request
Query Face Identities GET /api/v1/face-directory/identities
List Face Identities GET /api/v1/face-identities
Create Face Identity POST /api/v1/face-identities
Get Face Identity GET /api/v1/face-identities/{identityId}
Replace Face Identity PUT /api/v1/face-identities/{identityId}
Delete Face Identity DELETE /api/v1/face-identities/{identityId}
Grant Shared Face Identity PUT /api/v1/face-identities/{identityId}/organization-grants/{organizationId}
Revoke Shared Face Identity DELETE /api/v1/face-identities/{identityId}/organization-grants/{organizationId}
Enroll Archive Face POST /api/v1/face-identities/{identityId}/archive-enrollments
Enroll Face Image POST /api/v1/face-identities/{identityId}/image-enrollments
List Face Samples GET /api/v1/face-identities/{identityId}/samples
Get Face Sample Thumbnail GET /api/v1/face-identities/{identityId}/samples/{sampleId}/thumbnail
Select Primary Face Sample PUT /api/v1/face-identities/{identityId}/samples/{sampleId}/primary
Delete Face Sample DELETE /api/v1/face-identities/{identityId}/samples/{sampleId}
Image preview